Subject: Re: bug#28302: 26.0.50; [PATCH] Make ucs-names a hash table

From: Robert Pluim <[email-masked]>
Date: Thu, 31 Aug 2017 12:05:46 +0200

Mark Oteiza <[email-masked]> writes:

> Hi,
>
> I seem to remember there having been complaints about ucs-names preview
> being slow.  I was curious about how much of that time was spent
> assoc'ing every element of a roughly n = 42k element long alist, and so
> tried making it a hash table instead.  The result is a drastic speedup
> of C-x 8 RET TAB, presumably this makes the operation O(n) vs O(n^2).

I haven't timed it exactly, but it makes a *very* noticeable
difference here. Thanks for this.

Regards

Robert